Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.install
Class InstallerEvent

    java.lang.Object
      java.util.EventObject
          org.crosswire.jsword.book.install.InstallerEvent

All Implemented Interfaces:
  Serializable

    public class InstallerEvent

extends EventObject

An InstallerEvent is fired whenever an Installer is added or removed from the system.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`private boolean` | `added` Is this an addition event?
`private Installer` | `installer` The name of the changed Bible
`private static long` | `serialVersionUID` Serialization ID

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`InstallerEvent(Object source, Installer installer, boolean added)` Basic constructor

Method Summary
`Installer` | `getInstaller()` Get the name of the changed Bible
`boolean` | `isAddition()` Is this an addition event?

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### added

    private boolean added

  Is this an addition event?

### installer

    private transient Installer installer

  The name of the changed Bible

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### InstallerEvent

    public InstallerEvent(Object source,
                          Installer installer,
                          boolean added)

  Basic constructor

  Parameters:
    `installer` - The installer, or null if there is more than one change.
    `added` - True if the changed installer is an addition.

Method Detail

### getInstaller

    public Installer getInstaller()

  Get the name of the changed Bible

  Returns:
    The Bible bmd

### isAddition

    public boolean isAddition()

  Is this an addition event?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD